Create Trigger Route
POST
HTTPBearerheader
AuthorizationBearer <token>application/json- body
name*NameLength
1 <= length <= 200board_id*Board IdLength
1 <= lengthevent_type*Event TypeValue in
"item_created""column_value_changed"column_id?string|nullcolumn_value_filter?|nullplatform_filter?|nullcolumn_filters?array<>|nullstore_id*Store Idblueprint_id*Blueprint Idimage_output?|Optional generated-image output override for every run fired by this trigger. Null inherits the destination store.
field_mapping?Properties
properties <= 200import_settings?|Optional Import-dialog options (Shopify overrides, metafield set) applied to every run this trigger fires. A field-mapping key overrides the same option per item. Null applies none.
enabled?EnabledDefault
trueSuccessful Response
application/json- response
name*NameLength
1 <= length <= 200board_id*Board IdLength
1 <= lengthevent_type*Event TypeValue in
"item_created""column_value_changed"column_id?string|nullcolumn_value_filter?|nullplatform_filter?|nullcolumn_filters?array<>|nullstore_id*Store Idblueprint_id*Blueprint Idimage_output?|Optional generated-image output override for every run fired by this trigger. Null inherits the destination store.
field_mapping?import_settings?|Optional Import-dialog options (Shopify overrides, metafield set) applied to every run this trigger fires. A field-mapping key overrides the same option per item. Null applies none.
enabled?EnabledDefault
trueid*Idsource*SourceValue in
"copyhero_ui""monday_recipe"monday_webhook_id*string|nullmonday_recipe_integration_id*string|nulllast_error?string|nulllast_error_at?|nullconsecutive_failures?Consecutive FailuresDefault
0curl -X POST 'https://app.copyhero.app/api/v1/monday/triggers' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "board_id": "string", "event_type": "item_created", "store_id": 0, "blueprint_id": 0}'Example Response
{ "name": "string", "board_id": "string", "event_type": "item_created", "column_id": "string", "column_value_filter": {}, "platform_filter": "shopify", "column_filters": [ { "column_id": "string", "operator": "eq", "value": "string" } ], "store_id": 0, "blueprint_id": 0, "image_output": { "format": "png", "webp_quality": 1 }, "field_mapping": { "property1": { "mode": "column", "value": "string" }, "property2": { "mode": "column", "value": "string" } }, "import_settings": { "shopify_overrides": { "tags": [ "string" ], "replace_first_variant_image": false, "set_taxable": true, "continue_selling_when_out_of_stock": false, "set_active": true, "change_inventory_count": false, "inventory_min": 0, "inventory_max": 100, "inventory_mode": "random", "inventory_locations": [ { "id": "string", "name": "string" } ], "collections": [ { "id": "string", "title": "string", "handle": "string" } ], "sales_channels": [ { "id": "string", "name": "string" } ], "override_fields_enabled": false, "override_product_type": "", "override_vendor": "", "show_product_type": false, "show_vendor": false, "rehost_description_images": true, "rename_image_filenames": false, "image_filename_template": "", "slideshow": { "template_id": 1, "mode": "override", "keep_variant_images": true, "use_originals_on_failure": true } }, "metafield_set_id": 1 }, "enabled": true, "id": 0, "source": "copyhero_ui", "monday_webhook_id": "string", "monday_recipe_integration_id": "string", "last_error": "string", "last_error_at": "2019-08-24T14:15:22Z", "consecutive_failures": 0}